%define fedora 19
Name:           fishpoll
Version:        0.1.7
Release:        alt1_1
Summary:        Daemon and Client to run scripts when triggered from the network

Group:          System/Servers
License:        GPLv2+
URL:            http://git.fishsoup.net/cgit/fishpoll/tree/README
Source0:        http://git.fishsoup.net/cgit/%{name}/snapshot/%{name}-%{version}.tar.gz
Source1:        fishpolld.service
Source2:        %{name}_file_sample
Source3:        fishpolld.1
Source4:        fishpoke.1
BuildArch:      noarch

%if 0%{?fedora} >= 15
%else
Requires(post): chkconfig
Requires(preun): chkconfig
%endif

Requires:       fishpolld = %{version}-%{release}
Requires:       fishpoke = %{version}-%{release}
Source44: import.info

%description
Daemon and Client files that allows scripts to be run remotely when
triggered from the network.

%package -n fishpolld
Summary: Daemon to run scripts when triggered from the network
Group: System/Servers
%description -n fishpolld
%{summary}.

%package -n fishpoke
Summary: Client programs for fishpolld server
Group: System/Base
%description -n fishpoke
Client for the Fishpoll server. The fishpoke program is used to
trigger a poll immediately instead of waiting for the configured
polling interval.

%prep
%setup -q -n %{name}-%{version}

%build

%install
make install DESTDIR=%{buildroot}

%{__install} -Dp -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/%{name}.d/%{name}_file_sample
%{__install} -Dp -m0644 %{SOURCE3} %{buildroot}%{_mandir}/man1/fishpolld.1
%{__install} -Dp -m0644 %{SOURCE4} %{buildroot}%{_mandir}/man1/fishpoke.1

%if 0%{?fedora} >= 15
%{__install} -Dp -m0644 %{SOURCE1} %{buildroot}%{_unitdir}/fishpolld.service
rm %{buildroot}%{_sysconfdir}/init.d/%{name}
%else
mkdir -p %{buildroot}%{_initrddir}/
mv %{buildroot}%{_sysconfdir}/init.d/%{name} %{buildroot}%{_initrddir}/
%endif

%files


%files -n fishpolld
%doc COPYING README
%{_sbindir}/fishpolld
%dir %{_sysconfdir}/%{name}.d
%config %{_sysconfdir}/%{name}.d/%{name}_file_sample
%{_mandir}/man1/fishpolld.1*

%if 0%{?fedora} >= 15
%{_unitdir}/fishpolld.service
%else
%{_initrddir}/%{name}
%endif


%files -n fishpoke
%doc COPYING README
%{_bindir}/fishpoke
%{_mandir}/man1/fishpoke.1*

%post
%if 0%{?fedora} >= 15
%else
/sbin/chkconfig --add fishpoll
%endif


%preun
%if 0%{?fedora} >= 15
%else
if [ $1 -eq 0 ] ; then
   /sbin/service fishpoll stop > /dev/null 2>&1 ||:
   /sbin/chkconfig --del fishpoll
fi
%endif


%postun
%if 0%{?fedora} >= 15
%else
if [ $1 -ge 1 ] ; then
   /sbin/service fishpoll condrestart >/dev/null 2>&1 ||:
fi
%endif

%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.7-alt1_1
- initial fc import

* Thu Apr 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.6-alt1_7
- initial fc import

